Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.matrix.doublealgo
Interface Statistic.VectorVectorFunction

Enclosing interface:
  Statistic

public static interface Statistic.VectorVectorFunction

Interface that represents a function object: a function that takes two argument vectors and returns a single value.

Method Summary
`double` | `apply(DoubleMatrix1D x, DoubleMatrix1D y)` Applies a function to two argument vectors.

Method Detail

### apply

    public double apply(DoubleMatrix1D x,
                        DoubleMatrix1D y)

  Applies a function to two argument vectors.

  Parameters:
    `x` - the first argument vector passed to the function.
    `y` - the second argument vector passed to the function.
  Returns:
    the result of the function.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage